bulk_to_next(3)

NAME
bulk_to_next - Convert GETBULK requests into GETNEXT requests for the handler.

  Functions
netsnmp_mib_handler * netsnmp_get_bulk_to_next_handler (void)
returns a bulk_to_next handler that can be injected into a given handler chain.
void netsnmp_bulk_to_next_fix_requests (netsnmp_request_info *requests)
takes answered requests and decrements the repeat count and updates the requests to the next to-do varbind in the list
int netsnmp_bulk_to_next_helper (netsnmp_mib_handler *handler, netsnmp_handler_registration *reginfo, netsnmp_agent_request_info *reqinfo, netsnmp_request_info *requests)
void netsnmp_init_bulk_to_next_helper (void)
initializes the bulk_to_next helper which then registers a bulk_to_next handler as a run-time injectable handler for configuration file use.

Detailed Description

Convert GETBULK requests into GETNEXT requests for the handler.

The only purpose of this handler is to convert a GETBULK request to a GETNEXT request. It is inserted into handler chains where the handler has not set the HANDLER_CAN_GETBULK flag.

Function Documentation

  void netsnmp_bulk_to_next_fix_requests (netsnmp_request_info * requests)

takes answered requests and decrements the repeat count and updates the requests to the next to-do varbind in the list

Definition at line 42 of file bulk_to_next.c.

Referenced by netsnmp_bulk_to_next_helper().

  netsnmp_mib_handler* netsnmp_get_bulk_to_next_handler (void)

returns a bulk_to_next handler that can be injected into a given handler chain.

Definition at line 27 of file bulk_to_next.c.

Referenced by netsnmp_init_bulk_to_next_helper(), and netsnmp_register_handler().

  void netsnmp_init_bulk_to_next_helper (void)

initializes the bulk_to_next helper which then registers a bulk_to_next handler as a run-time injectable handler for configuration file use.

Definition at line 139 of file bulk_to_next.c.